<?php

namespace Drupal\h5p_challenge\FetchClass;

/**
 * Class H5PChallenge
 */
class H5PChallenge {

  /**
   * Returns content title by content identifier.
   * NB! It is assumed that content is a Node and not some other type of Entity
   * @param  int    $id
   *   Content identifier
   * @return string
   *   Content title or empty string
   */
  public static function getContentTitleById(int $id) {
    $node = \Drupal::entityTypeManager()->getStorage('node')->load($id);

    if ($node) {
      return $node->getTitle();
    }

    return '';
  }

  /**
   * Determines if current challenge is still active.
   * @return boolean
   *   Active or not
   */
  public function isActive() {
    return (int)$this->finished > time();
  }

  /**
   * Returns content title used for current challenge.
   * NB! It is assumed that content is a Node and not some other type of Entity
   * @return string
   *   Content title or empry string
   */
  public function getContentTitle() {
    return $this->getContentTitleById($this->content_id);
  }

}
